Subject: [mpls-tp] Fw: I-D Action:draft-farrel-mpls-tp-recommendation-review-01.txt

From: Adrian Farrel <[email-masked]>
Date: Thu, 01 Apr 2010 21:47:51 +0100

FYI

This I-D has been updated to reflect review comments from the ITU-T and
other comments received from various generous contributors.

Adrian
> ----- Original Message ----- 
> From: <[email-masked]>
> To: <[email-masked]>
> Sent: Thursday, April 01, 2010 7:45 PM
> Subject: I-D Action:draft-farrel-mpls-tp-recommendation-review-01.txt
>
>
>>A New Internet-Draft is available from the on-line Internet-Drafts
>>directories.
>>
>> Title           : IETF Expectations of Participation in Development and
>> Review of ITU-T Recommendations on MPLS-TP
>> Author(s)       : A. Farrel, S. Bryant
>> Filename        : draft-farrel-mpls-tp-recommendation-review-01.txt
>> Pages           : 13
>> Date            : 2010-04-01
>>
>> The decision to develop a Multiprotocol Label Switching (MPLS)
>> Transport Profile (MPLS-TP) in cooperation between the IETF and the
>> ITU-T is documented in RFC 5317 as the report of the Joint Working
>> Team on MPLS-TP. As part of this development process, the
>> International Telecommunication Union - Telecommunication
>> Standardisation Sector (ITU-T) will develop a number of
>> Recommendations. Those Recomendations will allow MPLS-TP to be
>> integrated with current transport equipment and networks, including,
>> in agreement with the IETF, the definition of any ITU-T-specific
>> functionality within the MPLS-TP architecture via the Change Process
>> for Multiprotocol Label Switching (MPLS) and Generalized MPLS (GMPLS)
>> Protocols and Procedures.
>>
>> This document sets out the IETF's expectations of how the IETF,
>> through individual participation and through consensus decisions,
>> will contribute to in the development, review, and approval of those
>> Recommendations.
>>
>> This document does not modify any existing ITU-T or IETF procedures,
>> but shows how those procedures can be used to facilitate cooperation
>> for the MPLS-TP project.
>>
>> A URL for this Internet-Draft is:
>> http://www.ietf.org/internet-drafts/draft-farrel-mpls-tp-recommendation-review-01.txt
>>
>> Internet-Drafts are also available by anonymous FTP at:
>> ftp://ftp.ietf.org/internet-drafts/
>>
>> Below is the data which will enable a MIME compliant mail reader
>> implementation to automatically retrieve the ASCII version of the
>> Internet-Draft.
>>
>
>
> --------------------------------------------------------------------------------
>
>
>> _______________________________________________
>> I-D-Announce mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/i-d-announce
>> Internet-Draft directories: http://www.ietf.org/shadow.html
>> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>>
>

---

From: Stewart Bryant <[email-masked]>
Date: Sat, 10 Apr 2010 17:04:46 +0100

I have noticed a practice of embedding an IETF draft in a word document 
and then indicating changes by directly editing the text and adding 
comments using the word comment facility.

This makes it very difficult to engage in dialogs on the merits and 
resolution of each technical issue and to track whether it has been 
addressed.

It would seem appropriate to include text in this draft indicating that 
the IETF will only consider technical comments  provided as standalone 
individual items in a similar manner to which the ITU-T requires AAP 
issues to be presented. It should be further noted that due to the 
difficulty of processing comments delivered to the IETF using change and 
markup facility in word these will only be processed as advisory 
editorial comments by the document editors.

- Stewart

Adrian Farrel wrote:
>> ----- Original Message ----- From: <[email-masked]>
> Content-Type: text/plain
> Content-ID: <[email-masked]>
>
> ------------------------------------------------------------------------
>
> mpls-tp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/mpls-tp
>   

-- 
For corporate legal information go to:

http://www.cisco.com/web/about/doing_business/legal/cri/index.html

---

From: Adrian Farrel <[email-masked]>
Date: Sun, 11 Apr 2010 19:11:10 +0100

Hi Stewart,

I guess you are actually referring to draft-ietf-mpls-tp-process

For clarity....

draft-ietf-mpls-tp-process describes the IETF process being run for MPLS-TP 
I-Ds and RFCs. It shows how the ITU-T may participate in that process.

draft-farrel-mpls-tp-recommendation-review describes how the IETF expects 
that it will be involved in the production of ITU-T Recommendations on 
MPLS-TP.

You are right that the format and nature of the comments received from the 
ITU-T has not always made it easy to update the documents. We should 
certainly encourage participation in the IETF process using the normal IETF 
techniques, but I think that the liaison process means that we will often 
receive comments in a less than ideal form.

It is part of "working with the ITU-T" that we are tolerant of these 
differences, but perhaps we should point out, as you suggest, the inherent 
difficulties of some forms of engagement. It is certainly in everyone's that 
all technical points are properly uncovered and discussed, and I'm sure that 
the experts in the ITU-T would be very keen to hear of ways that they can 
participate to ensure that their concerns are properly addressed and 
discussed - I think we can be confident that they will want to avoid ways of 
communicating that risk their issues being overlooked.

As our liaison to the IETF on MPLS, I guess you catch this one :-)  We need 
to develop some advice and guidance on how to provide review comments so as 
to be most useful and most likely to be picked up and acted on.

Cheers,
Adrian

----- Original Message ----- 
From: "Stewart Bryant" <[email-masked]>
To: "Adrian Farrel" <[email-masked]>
Cc: <[email-masked]>
Sent: Saturday, April 10, 2010 5:04 PM
Subject: Re: [mpls-tp] Fw: 
I-DAction:draft-farrel-mpls-tp-recommendation-review-01.txt

>I have noticed a practice of embedding an IETF draft in a word document and 
>then indicating changes by directly editing the text and adding comments 
>using the word comment facility.
>
> markup facility in word these will only be processed as advisory editorial 
> comments by the document editors.
>
> - Stewart
>
>
> Adrian Farrel wrote:
>> FYI
>>